These are chat archives for scala-android/sbt-android

20th
Jul 2016
VyacheslavMik
@VyacheslavMik
Jul 20 2016 07:26
Hello. Can someone help me? When I change java sdk from 1.7 x86 to 1.8 x64, my project doesn't run with error.
UNEXPECTED TOP-LEVEL EXCEPTION: java.lang.RuntimeException: Exception parsing classes
Caused by: com.android.dx.cf.iface.ParseException: bad class file magic (cafebabe) or version (0034.0000)
VyacheslavMik
@VyacheslavMik
Jul 20 2016 07:51
I fix this error.
Niklas Klein
@Taig
Jul 20 2016 10:28
@VyacheslavMik
javacOptions ++=
    "-source" :: "1.7" ::
    "-target" :: "1.7" ::
    Nil
VyacheslavMik
@VyacheslavMik
Jul 20 2016 10:29
Thanks, but I alread fix this.:)
Niklas Klein
@Taig
Jul 20 2016 10:30
I wasn't entirely sure. Just wanted to make sure you'll be able to solve that :)
VyacheslavMik
@VyacheslavMik
Jul 20 2016 10:31
Many thanks.:)
Rafal Wachol
@charafau
Jul 20 2016 18:54
@VyacheslavMik next time: http://scala-android.org/options/ javacOptions section ;)